=== Molongui Authorship ===

== Changelog ==

= 5.2.9 (2026-02-16) =

* **Added**: New ready-to-use template for the author box.
* **Fixed**: Author box related posts now work correctly when Co-Authors and Guest Authors are disabled.

= 5.2.8 (2026-01-27) =

* **Fixed**: Related posts in the author box now include all relevant posts.
* **Changed**: Updated framework files to v3.4.2.

= 5.2.7 (2026-01-20) =

* **Fixed**: Related posts in the author box now respect the configured ordering settings.
* **Fixed**: Related posts in the author box no longer include drafts or future posts.
* **Fixed**: Post count updates now work correctly in edge cases.
* **Fixed**: Post count filtering now ignores empty or invalid author IDs to prevent unexpected behavior.
* **Fixed**: Compatibility issue with BetterDocs where enabling Guest Author or Co-Authors could cause single doc posts to render as an archive list.

= 5.2.6 (2026-01-14) =

* **Fixed**: Author description now correctly appears in author boxes.

= 5.2.5 (2026-01-14) =

* **Fixed**: Byline linking only to the first listed author on some themes.
* **Fixed**: Archived guest authors are now properly excluded from author search results.

= 5.2.4 (2025-12-17) =

* **Fixed**: Fatal error occurring during post count update.
* **Fixed**: Post-count cache collision between users and guest authors with the same ID.
* **Fixed**: Avoided PHP notices when the primary post author data is missing or invalid.
* **Fixed**: Incomplete user meta cache hydration causing missing data in edge cases.
* **Fixed**: Admin authors list search returning empty results when filtering existing authors.
* **Fixed**: Fatal error on author pages when the Yoast SEO plugin is enabled.

= 5.2.3 (2025-12-10) =

* **Fixed**: Several bugs related to wrong author data retrieval.

= 5.2.2 (2025-12-09) =

* **Fixed**: Several PHP warnings.

= 5.2.1 (2025-12-09) =

* **Fixed**: Fatal error caused by an invalid callback name in a filter hook.

= 5.2.0 (2025-12-09) =

* **Added**: Option to stop all running background tasks related to the plugin.
* **Enhanced**: Refactored `Author` and `Authors` classes to reduce the number of queries and significantly improve performance.
* **Enhanced**: Added compatibility with the Pro theme.
* **Fixed**: Fatal error when displaying a single author box on multi-authored posts.
* **Fixed**: Missing default author selector when editing post types without authorship features enabled.
* **Fixed**: Undefined array key warning for `author_box_related_count` in PHP 8+.
* **Fixed**: Undefined variable warning for `$profile` in PHP 8+.
* **Fixed**: Guest author translation compatibility with Polylang.
* **Fixed**: Display issues in the author box editor preview.
* **Changed**: Updated framework files to v3.4.1.
* **Changed**: Added compatibility with WordPress 6.9.
* **Removed**: Usage of custom object cache for improved compatibility and maintainability.
* **Removed**: Deprecated functions and files that were marked as hard deprecated.
* **Removed**: Deprecated hooks that were marked as hard deprecated.

= 5.1.0 (2025-04-28) =

* **Added**: Setup wizard to guide users through initial configuration.
* **Added**: UI migration tool for transferring authors and authorship data from the Co-Authors Plus plugin.
* **Added**: UI migration tool for transferring authors and authorship data from the PublishPress Authors plugin.
* **Added**: UI migration tool for importing user avatars from the One User Avatar plugin.
* **Added**: WP-CLI command to migrate authors and authorship data from the Co-Authors Plus plugin.
* **Added**: WP-CLI command to migrate authors and authorship data from the PublishPress Authors plugin.
* **Added**: WP-CLI command to migrate user avatars from the One User Avatar plugin.
* **Added**: Filters to exclude registered users and guest authors from post author search results.
* **Fixed**: Post count updater now updates post counts correctly.
* **Changed**: Replaced `Add New` wording with `Add {Item}` in line with WordPress standards.
* **Changed**: Replaced `View All` wording with `View {Items}` in line with WordPress standards.
* **Changed**: Updated framework files to v3.4.0.
* **Changed**: Added compatibility with WordPress 6.8.
* **Changed**: Updated plugin description in `readme.txt`.

= 5.0.15 (2025-03-11) =

* **Fixed**: Co-authored posts are now listed when using Elementor's Posts widget with the author filter.
* **Fixed**: Fatal error caused by missing quotes when the Jetpack plugin was active.

= 5.0.14 (2025-02-11) =

* **Added**: Filter to customize attributes for the author avatar `<img>` element.

= 5.0.13 (2025-02-11) =

* **Added**: Threads as author social profile option.
* **Added**: Bluesky as author social profile option.
* **Added**: Strava as author social profile option.
* **Added**: Facebook Messenger as author social profile option.
* **Added**: Flipboard Messenger as author social profile option.
* **Added**: QQ as author social profile option.
* **Added**: IMDb as author social profile option.
* **Fixed**: Post byline now omits the co-authors count when configured not to display co-authors.
* **Fixed**: Required Block Editor scripts are now loaded exclusively on the edit post screen.

= 5.0.12 (2025-02-06) =

* **Fixed**: Incorrect author meta information displayed in the author box when profile fields are missing.

= 5.0.11 (2025-02-04) =

* **Fixed**: Post byline now shows additional co-authors count.

= 5.0.10 (2025-01-30) =

* **Fixed**: Author box now displayed when using custom Divi Builder templates for posts.
* **Fixed**: Co-authored posts are now listed on the author page when using Elementor's Loop Grid widget.

= 5.0.9 (2025-01-27) =

* **Fixed**: Error when updating post counters after changing a post's author.
* **Fixed**: Backend author list now displays post counts correctly.
* **Fixed**: Co-authors can now edit posts they are assigned to when using the Block Editor.
* **Fixed**: Author box no longer displays twice on certain themes.
* **Fixed**: Replaced deprecated filters with new equivalents to prevent warning messages.
* **Deprecated**: The `authorship/author/get_posts/args` filter. Scheduled for removal in version 5.2.0.
* **Removed**: Long-deprecated functions, actions, and filters.

= 5.0.8 (2025-01-21) =

* **Fixed**: Author box no longer shows draft posts as related posts.

= 5.0.7 (2025-01-18) =

* **Fixed**: Author box styling now appears correctly when using block themes.

= 5.0.6 (2025-01-17) =

* **Fixed**: Author search box not displaying all matching results.
* **Changed**: Optimized retrieval of post counts.

= 5.0.5 (2025-01-15) =

* **Fixed**: Non-static method `is_display_name_available()` called statically.
* **Fixed**: Unsupported operand types in `increment_counter`.
* **Fixed**: Unsupported operand types in `decrement_counter`.
* **Fixed**: Cannot use object of type stdClass as array in `increment_counter`.
* **Fixed**: Cannot use object of type stdClass as array in `decrement_counter`.

= 5.0.4 (2025-01-15) =

* **Fixed**: Author box not displaying on custom post templates created with the Divi Builder.

= 5.0.3 (2025-01-14) =

* **Fixed**: Author box being displayed regardless of plugin configuration.
* **Fixed**: Incorrect post count computed for authors.

= 5.0.2 (2025-01-14) =

* **Fixed**: Default settings are now initialized upon plugin activation.

= 5.0.1 (2025-01-14) =

* **Fixed**: PHP warning for undefined array key `author_box_avatar_fallback`.
* **Fixed**: PHP warning for undefined array key `guest_author_enabled`.
* **Fixed**: PHP warning for undefined array key `guest_pages`.

= 5.0.0 (2025-01-14) =

* **Added**: Ability to customize the order of social profiles.
* **Added**: Ready-to-use templates for the author box.
* **Added**: Dummy author data for author box preview.
* **Added**: Row action to update posts counts for users and guest authors.
* **Added**: Bulk action to update posts counts for selected users and guest authors.
* **Added**: Option to hide the author name on the author box.
* **Added**: Option to run custom PHP on the Dashboard.
* **Added**: Ability to customize the position and icon of the 'Authors' menu.
* **Enhanced**: Compatibility with the Newspaper theme.
* **Enhanced**: Compatibility with the Reusable Content Blocks plugin.
* **Fixed**: Custom CSS styles not loading correctly.
* **Fixed**: Incorrect query argument value.
* **Fixed**: Author search box could not find authors containing dots or spaces in their names.
* **Fixed**: Acronym author box avatars not displaying letters centered correctly.
* **Changed**: Redesigned plugin settings page.
* **Changed**: Replaced the author dropdown with a search-as-you-type input in the Author Box Editor.
* **Changed**: Switched the JavaScript library used for search-as-you-type suggestions.
* **Changed**: Improved responsiveness by using native CSS properties, removing JavaScript-based solutions.
* **Changed**: Updated framework files to version 3.3.0.
* **Changed**: Added compatibility with WordPress 6.7.
* **Removed**: The option to hide HTML elements on the frontend. Use 'Custom CSS' instead.
* **Removed**: The option to load plugin vendor assets from a remote CDN. To enable remote loading, use the `authorship/assets/load_remote` filter.
* **Dev**: Major code refactor.
* **Dev**: Removed `get_byline` helper function.
* **Dev**: Removed `get_post_authors` helper function.

= 4.9.7 (2024-08-29) =

* Added filter to control the separator used before each author meta item
* Fixed PHP warning on undefined property
* Fixed issue with the Molongui Post Contributors plugin

= 4.9.6 (2024-08-01) =

* Editors can now quickly add guest authors from the post edit screen
* Fixed related posts toggle not showing when using the "slim" layout for the author box
* Enhanced compatibility with the jNews theme
* Updated framework files to version 3.1.0

= 4.9.5 (2024-07-09) =

* Fixed load time impact on the post list screen for installations with over 5,000 authors
* Added WordPress 6.6 compatibility

= 4.9.4 (2024-07-03) =

* Added 'WeChat' social network
* Fixed PHP warning regarding dynamic property

= 4.9.3 (2024-06-24) =

* Fixed users with the `contributor` user role not being selectable as post author
* Removed the 'edit_posts' capability requirement to be eligible as post author
* Enhanced compatibility with the Molongui Post Contributors plugin

= 4.9.2 (2024-06-20) =

* The email field is not required any more for quick-adding guest authors from the edit-post screen
* Fixed javascript conflict when editing a post using the old/classic WordPress editor

= 4.9.1 (2024-06-17) =

* Fixed missing author bio on author pages
* Enhanced compatibility with the Jannah theme
* Updated framework files to version 3.0.3

= 4.9.0 (2024-06-13) =

* Reduced number of queries
* Redesigned post author selector
* Refactored some code
* Improved some messages readability

= 4.8.6 (2024-06-03) =

* Fixed some data sanitization
* Fixed misleading debug message
* Updated framework files to version 3.0.2

= 4.8.5 (2024-05-31) =

* Enhanced compatibility with the Avada theme
* Fixed issue with mailto links in the author box

= 4.8.4 (2024-05-20) =

* Fixed deprecated function returning void

= 4.8.3 (2024-05-20) =

* Fixed quick edit hanging on saving
* Fixed typo in constant name

= 4.8.2 (2024-05-15) =

* Fixed missing author validation

= 4.8.1 (2024-05-14) =

* Fixed debug messages showing in browser console

= 4.8.0 (2024-05-14) =

* Added option to allow non-privileged users to publish content on behalf of others
* Added option to disable guest author translations for Polylang
* Fixed issues with the authors assigned to a post
* Fixed email icons in the author box not working properly
* Fixed break line as separator for the author meta not working
* Fixed some PHP warnings
* Minor code refactor
* Updated plugin bootstrap
* Updated framework files to version 3.0.0
* Raised min PHP supported version to 5.6.20... come on
* Added WordPress 6.5 compatibility

= 4.7.10 (2024-02-28) =

* Added hook to allow non-privileged users (user account without administrative privileges) to publish content on behalf of others
* Fixed missing JS variables
* Fixed localized JS variables loaded twice
* Fixed PHP error caused by wrong function name

= 4.7.9 (2024-02-26) =

* Fixed guest post bylines showing weird data with some themes

= 4.7.8 (2024-02-26) =

* Added option to add custom PHP snippets
* Added option to add custom CSS rules
* Fixed author box shadow
* Fixed IDOR vulnerability reported by Patchstack
* Fixed XSS vulnerability reported by Patchstack
* Improved compatibility with the tagDiv Cloud Library plugin
* Updated framework files to version 2.5.0

= 4.7.7 (2024-01-26) =

* Improved compatibility with the Astra theme
* Fixed PHP fatal error when displaying a page where the author box is not displayed
* Fixed some PHP warnings

= 4.7.6 (2024-01-25) =

* Improved compatibility with the tagDiv Composer plugin
* Improved compatibility with the Impreza theme
* Added some new debug messages (only visible when debug mode is enabled)
* Fixed social media schema not being added to the page markup
* Fixed options export not working

= 4.7.5 (2024-01-09) =

* Fixed information exposure issue reported by Wordfence
* Fixed some non-blocking PHP warnings
* Deprecated Stitcher social network

= 4.7.4 (2023-12-02) =

* Fixed wrong Twitter meta tag for creator
* Fixed missing font-display descriptor
* Fixed BAC vulnerability reported by Patchstack
* Added WordPress 6.4 compatibility

= 4.7.3 (2023-10-18) =

* Fixed extra spacing displayed at the bottom of the author bio in the author box
* Fixed author box live preview not working for the author name and meta colors
* Added compatibility with block themes
* Improved compatibility with the Elementor Pro plugin
* Improved compatibility with the Rank Math SEO plugin
* Improved compatibility with the Mailster plugin
* Updated readme file

= 4.7.2 (2023-09-14) =

* Fixed missing separators in multi-authored posts' byline
* Fixed wrong avatar displayed on guest authors posts
* Fixed byline not linking properly on co-authored posts when first author is a guest
* Fixed posts list displaying post authors twice after a quick edit
* Improved compatibility with the Polylang plugin

= 4.7.1 (2023-09-07) =

* Fixed PHP error thrown by method_exists checking on null

= 4.7.0 (2023-09-07) =

* Fixed weird URLs on page schema that led to 404 errors. Know more [here](https://www.molongui.com/help/byline-issues-and-how-to-fix-them/).
* Fixed weird behavior on co-authored post bylines when author name contained the same string used as names separator. Know more [here](https://www.molongui.com/help/byline-issues-and-how-to-fix-them/).
* Fixed user local avatar not being saved when additional profile fields disabled
* Improved compatibility with the Uncode Core plugin for the Uncode theme.
* Deprecated 'authorship/filter_author_link' filter. Use 'authorship/pre_author_link' instead.
* Deprecated '_authorship/filter/get_user_by' filter. Use 'authorship/pre_get_user_by' instead.

= 4.6.22 (2023-08-16) =

* Fixed author custom fields being removed under certain circumstances

= 4.6.21 (2023-08-15) =

* Fixed byline displaying co-authors multiple times on Extra theme
* Improved compatibility with the LearnPress Certificates plugin for LearnPress
* Improved compatibility with the LearnPress Students List plugin for LearnPress

= 4.6.20 (2023-08-09) =

* Fixed XSS vulnerability (PSID f13cec368476)
* Fixed post byline showing wrong additional author count on some cases
* Updated links to plugin online documentation

= 4.6.19 (2023-07-31) =

* Added WordPress 6.3 compatibility
* Added global setting to display author email in the author box
* Added global setting to display author phone in the author box
* Added Vero social network
* Added Peepeth social network
* Updated Twitter's icon. Follow [this article](https://www.molongui.com/help/how-to-bring-back-the-old-twitter-logo) to bring back old blue bird logo.
* Some minor code refactor

= 4.6.18 (2023-07-11) =

* Added option to make author name and author avatar in the author box to link to a custom URL
* Added filter hook to control whether automatically add spaces to byline separators
* Improved compatibility with the Top 10 plugin
* Improved compatibility with the Authors List plugin
* Removed obsolete temporary database entries that caused post counters update to fail on some installations
* Fixed authors list not being ordered by user roles

= 4.6.17 (2023-05-02) =

* Improved compatibility with the tagDiv Cloud Library plugin
* Updated Loco Translate XML file
* Fixed show empty related entries not working properly
* Fixed 'get_the_author_posts' not working for guest authors
* Fixed post counters not updating for users with no role
* Added WordPress 6.2 compatibility

= 4.6.16 (2023-02-15) =

* Fixed role not displayed for guest authors on the authors admin screen

= 4.6.15 (2023-02-14) =

* Fixed PHP fatal error

= 4.6.14 (2023-02-14) =

* Improved navigation experience for screen reader users
* Improved some UI notifications
* Improved compatibility with the Advanced Access Manager (AAM) plugin
* Added filter to remove HTML comments
* Fixed tabbed layout labels not taking variable tags
* Fixed author box title not being displayed on multi-authored posts
* Fixed some author box rtl styling issues when using a CDN
* Fixed background tasks running simultaneously on plugin activation
* Fixed author filter being overwritten for every post type
* Fixed apostrophes being escaped with backslashes
* Fixed PHP notices when updating a misconfigured plugin
* Fixed issues with author names on post bylines and author pages when using tagDiv Cloud templates

= 4.6.13 (2022-12-08) =

* Added Mastodon social network
* Added filter to allow background tasks having WP_Cron disabled
* Improved compatibility with the Newspaper theme
* Improved compatibility with the WP OAuth Server plugin
* Fixed some PHP warnings
* Added WordPress 6.1 compatibility

= 4.6.12 (2022-09-06) =

* Fixed "Invalid post type" error when adding a new author

= 4.6.11 (2022-08-11) =

* Fixed PHP warning about missing ID property

= 4.6.10 (2022-07-18) =

* Added hook to disable author box responsiveness completely
* Fixed issue with object cache
* Fixed social icons style preview not working properly

= 4.6.9 (2022-07-07) =

* Fixed author pages not working on certain installations

= 4.6.8 (2022-07-06) =

* Fixed PHP warning displayed when global $wp_query not set

= 4.6.7 (2022-07-06) =

* Improved compatibility with the LearnDash plugin
* Improved compatibility with the Premium Addons for Elementor plugin
* Fixed not being able to display social icons once disabled
* Fixed some minor issues

= 4.6.6 (2022-06-09) =

* Improved compatibility with the Newspaper theme
* Fixed wrong main author retrieval on some cases
* Fixed PHP warning

= 4.6.5 (2022-06-01) =

* Fixed default WordPress author field displayed on edit post screen on WP 6.0
* Removed setting to enable plugin template tags. They are enabled now by default

= 4.6.4 (2022-05-27) =

* Fixed author box settings resetting to default
* Fixed some author box styles
* Removed wrong input field on the new author form

= 4.6.3 (2022-05-18) =

* Improved compatibility with the Hootkit plugin
* Fixed author pages showing no posts
* Fixed author avatar and name not linking to author pages

= 4.6.2 (2022-05-16) =

* Fixed author avatar and name links

= 4.6.1 (2022-05-16) =

* Fixed plugin scripts not being loaded

= 4.6.0 (2022-05-16) =

* Added a visual editor to easily customize the author box appearance
* Added many new options to style the author box
* Added option to hide author bio in the author box
* Added option to make author name and avatar link to custom URL
* Added option to provide your own custom CSS for the author box
* Moved many styling options from plugin settings page to the new author box visual editor
* Dropped usage of WP Customizer to customize author box styles. Use the new visual editor
* Reduced stylesheets size.
* Improved compatibility with the Newspaper theme
* Improved compatibility with the Flatsome theme
* Improved compatibility with the The Issue theme
* Improved compatibility with the Mission News theme
* Improved compatibility with the WPML plugin
* Improved compatibility with the The SEO Framework plugin
* Improved compatibility with the Divi FilterGrid plugin
* Fixed 'Mine' filter count displaying wrong value
* Fixed default plugin settings not initialized upon installation
* [DEV] Deprecated 'm-a-box-headline' CSS class. Replaced with 'm-a-box-header'
* [DEV] Deprecated 'm-a-box-string-headline' CSS class. Replaced with 'm-a-box-header-title'
* [DEV] Deprecated 'm-a-box-title' CSS class. Replaced with 'm-a-box-name'
* [DEV] Deprecated 'm-a-box-meta-separator' CSS class. Replaced with 'm-a-box-meta-divider'
* [DEV] Deprecated 'icon-container' CSS class. Replaced with 'm-icon-container'
* [DEV] Removed 'm-a-box-string-about-the-author' CSS class. Replaced with 'm-a-box-profile-title'
* [DEV] Removed 'm-a-box-string-related-posts' CSS class. Replaced with 'm-a-box-related-title'
* Added WordPress 6.0 compatibility

= 4.5.4 (2022-03-30) =

* Fixed author box added to post excerpt
* Fixed acronym image displayed on authors list table
* Fixed author box layout preview
* Fixed missing option to customize author box tabs
* Improved compatibility with the Extra theme
* Improved compatibility with the Dynamic News theme

= 4.5.3 (2022-03-10) =

* Fixed missing plugin asset when being loaded locally
* Fixed wrong database schema version

= 4.5.2 (2022-03-01) =

* Improved compatibility with the BuddyBoss theme when BuddyPress plugin is enabled
* Improved compatibility with the Post Grid plugin
* Fixed missing box position option
* Fixed user avatar not displayed on authors table
* Fixed wrong entries link for users on authors table
* Fixed Authors menu not available for editors
* Fixed PHP fatal error on sites running an Elegant Themes theme

= 4.5.1 (2022-02-22) =

* Removed unnecessary debug options

= 4.5.0 (2022-02-22) =

* Added "Authors" admin screen listing all authors in your site
* Added StackExchange as new social media profile
* Added admin pointers for new users
* Rearranged plugin options for clarity
* Improved compatibility with the BuddyX theme
* Improved compatibility with the BuddyBoss theme
* Improved compatibility with the BuddyPress plugin
* Improved compatibility with the Jetpack plugin
* Improved compatibility with the Authors List plugin
* Improved compatibility with the Author Avatars plugin
* Fixed issue with the 'wp_list_authors' core function
* Reduced number of queries
* Deleted unused constants
* Merged plugin options into one single entry
* Updated database schema (rollback would require a backup)
* Updated framework files to version 2.2.0
* Added WordPress 5.9 compatibility

= 4.4.4 (2021-12-14) =

* Fixed warning regarding the Events Manager plugin

= 4.4.3 (2021-12-10) =

* Fixed missing compatibility functions
* Fixed some settings reverting to default on save
* Fixed guest authors menu item displayed when feature disabled

= 4.4.2 (2021-12-07) =

* Fixed some post bylines showing wrong author names
* Fixed guest author bio not being displayed
* Fixed quick editor not displaying post authors
* Fixed fatal error when updating from very old versions

= 4.4.1 (2021-12-06) =

* Fixed fatal error when deleting a post

= 4.4.0 (2021-12-05) =

* Unlocked option to display author's name acronym as avatar
* Added option to manually update post counters
* Added option to manually clear object cache
* Improved compatibility with Polylang
* Improved compatibility with Events Manager
* Updated framework files to version 2.1.0
* Reduced PHP memory usage
* Reduced server load
* Reduced page load
* Raised minimum PHP version to 5.5... come on, you should be running 7.4 already
* Raised minimum WP version to 5.2
* Major code refactor

= 4.3.12 (2021-11-01) =

* Added ability to provide empty strings to remove some tags
* Enhanced compatibility with the JNews theme
* Fixed duplicated headline setting
* Fixed some values not live updating in the customizer preview
* Minor code refactor

= 4.3.11 (2021-10-15) =

* Enhanced compatibility with the JNews theme
* Fixed user registration email not being sent on some installations
* Fixed PHP 8 deprecated notices

= 4.3.10 (2021-09-17) =

* Made some author box settings available also at the plugin settings page
* Fixed user bio fields not being displayed on edit-user screen for WP.com 5.8
* Fixed language flags not showing in WPML language switcher on author pages
* Fixed wrong URL displayed on WP users sitemap when first was a co-authored post

= 4.3.9 (2021-08-20) =

* Made some more author box settings available also at the plugin settings page
* Added URL scheme for those URLs that have none
* Fixed some author box settings not be available when default styles were disabled
* Fixed author avatar not being displayed on author boxes when CDN compatibility enabled
* Fixed default author selector not being removed on edit-post screen for WP.com 5.8
* Fixed wrong avatar being displayed on login widget provided by the Publisher theme
* Fixed wrong guest author URL being added into schema markup
* Deprecated 'molongui_authorship_dont_filter_link' filter
* Deprecated 'molongui_authorship_do_filter_link' filter

= 4.3.8 (2021-08-05) =

* Made some author box settings available also at the plugin settings page
* Enhanced compatibility with the Smart Mag theme
* Fixed missing post date when author box or author box stylesheet disabled

= 4.3.7 (2021-07-28) =

* Added author filters to admin screens
* Added option to archive authors so they are not displayed as an eligible author for your posts
* Added option to configure which action to take in the Dashboard when clicking on an author name
* Entries column in author listings now link by default to a filtered post listing by author
* Fixed default author selector not being removed on edit-post screen for WP 5.8

= 4.3.6 (2021-07-20) =

* Fixed author box displaying tab default inputs on some themes
* Fixed some missing admin styles
* Fixed other minor issues

= 4.3.5 (2021-07-15) =

* Fixed missing styles issue introduced in previous update 4.3.4

= 4.3.4 (2021-07-15) =

* Fixed PHP notice displayed on the backend when having the qTranslate X plugin active
* Added WordPress 5.8 compatibility

= 4.3.3 (2021-06-14) =

* Unlocked option to prevent author avatar to link to the author page
* Fixed user bio field not being displayed when "Enhanced user profile" option disabled
* Fixed PHP fatal error when running WP < 5.3
* Fixed author job position and company not being translated by WPML
* Fixed missing styling on author pages when using Astra theme

= 4.3.2 (2021-04-11) =

* Fixed PHP warning on edit-post screen

= 4.3.1 (2021-04-09) =

* Fixed PHP fatal error when running on PHP 8

= 4.3.0 (2021-04-09) =

* Coauthors can now edit posts they are coauthors of. Doesn't apply to guest authors, obviously
* Fixed wrong post byline displayed on post grid module by Nimble Page Builder
* Fixed PHP warning regarding missing author box fields when saving a post
* Fixed PHP error when trying to activate the plugin on WP < 5.4.1

= 4.2.17 (2021-03-23) =

* Added lbry, orcid and gab social networks.
* Related posts tab not displayed when on author box tabbed layout when related posts feature disabled.
* Added option to hide related posts section in the author box when none found.
* Fixed co-authored post byline not linking to each author page on multilingual sites being displayed in a secondary language.
* Fixed some PHP 8 compatibility issues.
* Enhanced compatibility with Rank Math SEO plugin.
* Added WordPress 5.7 compatibility.

= 4.2.16 (2021-02-19) =

* Fixed retrieved gravatar not having configured size
* Fixed typo bug in admin notice
* Fixed wrong displayed commenter name when using BuddyPress
* Updated Molongui Framework to version 1.6.7

= 4.2.15 (2021-01-26) =

* Fixed backwards incompatibility with Pro extension (PHP fatal error).

= 4.2.14 (2021-01-26) =

* Fixed PHP fatal error caused by a missing format specifier.
* Fixed gravatar not taking custom configured size.
* Fixed wrong avatar displayed for guest posts when provided object was a WP_Post.
* Fixed wrong avatar displayed by WPDiscuz on comments without email address.
* Fixed object cache key names to enable multisite compatibility.
* Fixed object cache key names to enable multilingual compatibility.
* Prevented cron job to be added when WPCron is disabled.
* Enhanced compatibility with Magazine Prime Pro theme.
* Updated Molongui Framework to version 1.6.6.

= 4.2.13 (2020-12-21) =

* Enhanced compatibility with UltimateMember plugin. User profile now list co-authored posts.
* Fixed post author reverting to current user on a guest post update when co-authoring features was disabled.

= 4.2.12 (2020-12-15) =

* Fixed post author reverting to current user on post update when guest and co-authoring features were disabled.
* Fixed author box selector displaying twice on edit-post screen with WP 5.6.
* Some minor code refactor.

= 4.2.11 (2020-12-07) =

* Editors can now configure whether and where to show the author box on a post.
* Fixed author avatar not displaying on author box in some installations.
* Fixed wrong author name displayed on featured posts byline displayed above the footer when using Spotlight theme.

= 4.2.10 (2020-12-03) =

* Fixed issue preventing to switch author on posts not enabled in the plugin settings.
* Fixed bylines displaying wrong author for guest posts on tag archives.
* Fixed PHP notice regarding 'is_guest_author' function not working before the query is run.
* Added WordPress 5.6 compatibility.

= 4.2.9 (2020-11-15) =

* Fixed wrong author data displayed at several locations because of a bug introduced in 4.2.8
* Fixed issue with object cache not been flushed because of post author being updated after post update.
* Enhanced compatibility with BuddyBoss theme.
* Enhanced compatibility with WPDiscuz plugin.

= 4.2.8 (2020-11-09) =

* Enhanced compatibility with Essential Grid plugin.
* Fixed '#molongui-disabled-link' being displayed on Yoast SEO author sitemap when byline configured to not link to author archives.
* Fixed PHP notice regarding dirname function getting two parameters (only when running PHP < 7.0).
* Some minor code refactor.

= 4.2.7 (2020-10-23) =

* Related posts displayed within the author box are now ordered by date, newest first.
* Removed "Preview" button from edit-guest screen.
* Enhanced compatibility with WordPress Popular Posts plugin.
* Fixed PHP notices displayed on the Dashboard regarding the 'is_guest_author' conditional function.
* Fixed Yoast SEO breadcrumbs archive prefix missing on author archives.
* Fixed compatibility with WP < 4.6.0
* Updated Molongui Framework to version 1.6.5

= 4.2.6 (2020-10-06) =

* Enhanced compatibility with Jetpack plugin.
* Fixed issues related to the 'is_guest_author' conditional function.

= 4.2.5 (2020-10-06) =

* Added Loco Translate bundle config XML.
* Fixed authorship config not being saved for media items (attachments).
* Fixed guests quick-editor not saving authorship fields.
* Fixed custom author archive template built with Divi Builder not showing co-authored posts.
* Fixed PHP fatal error upon guest author deletion on WP < 5.5.0
* Updated Molongui Framework to version 1.6.4

= 4.2.4 (2020-09-28) =

* Fixed PHP notices about undefined variables when logged in user doesn't have managing rights.
* Fixed bio opengraph meta error when author bio containing HTML tags.
* Fixed menu items from other plugins being hidden when Molongui Authorship active.
* Updated Molongui Framework to version 1.6.3.
* Enhanced compatibility with BuddyBoss theme.

= 4.2.3 (2020-09-16) =

* Fixed 500 server error when retrieving guest author Gravatar.
* Fixed PHP notice about undefined index.
* Updated Molongui Framework to version 1.6.2

= 4.2.2 (2020-09-15) =

* Fixed wrong posts being displayed on custom loops.
* Fixed custom loops breaking up because of a wrong reset postdata.

= 4.2.1 (2020-09-14) =

* Fixed PHP notice about a variable not being initialized.
* Updated Molongui Framework to version 1.6.1

= 4.2.0 (2020-09-14) =

* Author Box:
    * Added TikTok social network.
    * Added PhilPapers social network.
    * Added option to add custom CSS classes to the author box container.
    * Fixed metaline not showing item separator.
* Other:
    * Restyled plugin settings page.
    * Redesigned Support page.
    * Removed profile fields for those user roles where plugin functionality is not enabled on.
    * Removed unnecessary queries being run on admin pages.
    * Updated Molongui Framework to version 1.6.0
    * Added support for users without a role.
    * Fixed 404 error on user addition in multisite.
    * Fixed warning regarding multiple nonce with same ID on post edit-screen.
    * Fixed warning regarding multiple nonce with same ID on guest author edit-screen.
* Compatibility:
    * Added WordPress 5.5 compatibility.
    * Added fully compatibility with [WPML](https://wpml.org/ "The WordPress Multilingual Plugin").
    * Added compatibility with LearnDash LMS plugin.
    * Added compatibility with WordPress Popular Posts plugin.
    * Added compatibility with The SEO Framework plugin.
    * Added compatibility with Schema & Structured Data For WP plugin.
    * Enhanced compatibility with Publisher theme.
    * Enhanced compatibility with Blocksy theme.
    * Enhanced compatibility with Alea theme.
    * Enhanced compatibility with MH Magazine Lite theme.
    * Enhanced compatibility with WPDiscuz plugin.
    * Enhanced compatibility with multi-lingual plugins. Dropped usage of constants for the text domain portion of gettext functions.
* Code refactor:
    * Deprecated several hooks. See includes/deprecated/ folder.

= 4.1.2 (2020-07-24) =

* Compatibility:
    * Fixed PHP warning displayed on un-authored pages when using Yoast SEO plugin.

= 4.1.1 (2020-07-24) =

* Bulk Edit:
    * Now you can bulk-edit post's author if neither "co-authors" nor "guest authors" features are enabled. If any of them are enabled, you'd need the Pro version of the plugin to bulk-edit posts' author.
    * Fixed post author quick-edit not working.
* Uninstall:
    * Fixed uninstall PHP warning when trying to remove guest authors when none defined.
* Compatibility:
    * Enhanced compatibility with multilingual plugins to get the author bio translated on author archives.
    * Enhanced compatibility with Divi and Extra themes. Author box is now displayed on Divi-built posts.
    * Enhanced compatibility with Beaver Builder plugin.
    * Fixed PHP warning displayed on some installations using Yoast SEO plugin.
    * Added WordPress 5.4.2 compatibility.

= 4.1.0 (2020-07-06) =

* Authors:
    * Added an option to quick-add guest authors from edit-post screen.
* Author Box:
    * Now you can use your theme's font size styles by sliding the handle to the very left side of the control.
* Compatibility:
    * Enhanced compatibility with Extra Theme.
    * Enhanced compatibility with Themify Ultra Theme.
    * Enhanced compatibility with Publisher Theme.
    * Added an option to enhance CDN compatibility.
    * Added WordPress 5.4.2 compatibility.

= 4.0.11 (2020-06-09) =

* Bugfixes:
    * Fixed author box being displayed on post types other than posts and pages.
* Compatibility:
    * Enhanced compatibility with Yoast SEO plugin.
    * Enhanced compatibility with Divi Theme.

= 4.0.10 (2020-06-03) =

* Author Box:
    * Added option to define avatar image size.
* Bugfixes:
    * Fixed current logged in user avatar being displayed on 'Default Avatar' section on 'Discussion' settings page.
    * Fixed wrong avatar being displayed on comments.

= 4.0.9 (2020-05-31) =

* Enhancements:
    * Added compatibility with count user posts.
* Bugfixes:
    * Fixed byline displaying wrong author on Ajax load.

= 4.0.8 (2020-05-27) =

* Bugfixes:
    * Fixed post author(s) being removed after editing with Elementor.
    * Fixed post author box configuration being removed after editing with Elementor.

= 4.0.7 (2020-05-16) =

* Enhancements:
    * Added background task processor to improve UX and avoid timeouts on sites with thousands of users.
* Bugfixes:
    * Fixed co-authors sorting not being saved.
* Compatibility:
    * Enhanced compatibility with Anywhere Elementor plugin.
* Other:
    * Updated Molongui Framework to version 1.5.0

= 4.0.6 (2020-05-09) =

* Bugfixes:
    * Fixed related posts displaying more than (pre-)configured number of items.
    * Fixed wrong author avatar being displayed on guest posts.
    * Fixed wrong user avatar being displayed on WP admin menu bar when using BuddyBoss theme.
    * Fixed timeouts (error 504) on sites with thousands of users.
    * Fixed 'Post Types' premium-setting allowing change that were not saved.

= 4.0.5 (2020-05-08) =

* Bugfixes:
    * Fixed PHP error preventing plugin update from a version prior to 4.0.1.
    * Fixed javascript error preventing the Quick Edit view opening on Categories page.
    * Fixed author box being displayed regardless of 'Display' global setting.

= 4.0.4 (2020-05-07) =

* Bugfixes:
    * Fixed current user not being added by default as author when adding a new post.
    * Fixed PHP warning(s) displayed when adding a new post.

= 4.0.3 (2020-05-07) =

* Bugfixes:
    * Fixed PHP warning on pages where author box were displayed (bug introduced in 4.0.2).

= 4.0.2 (2020-05-06) =

* Bugfixes:
    * Fixed author selection not working on custom post types.
    * Fixed weird characters displaying on author archive pages when OpenGraph meta setting enabled.
    * Fixed author entries column displaying "None" even if author has posts (affected only new installations).
    * Fixed user entries column not displaying number of posts and pages when those post types were not enabled on plugin settings.
* Compatibility:
    * Enhanced AdoreChurch theme support.

= 4.0.1 (2020-05-05) =

* Author Box:
    * Fixed no styles loaded on RTL sites.
* Other:
    * Fixed PHP warning being displayed because of missing Pro constant.
    * Fixed byline helper function.

= 4.0.0 (2020-05-04) =

* Author Box:
    * Unlocked many styling settings.
    * Unlocked all social icon styles.
    * Unlocked option to enable/disable author name link to author archive page.
    * Unlocked option to enable/disable author avatar link to author archive page.
    * Added option to enable/disable author box feature.
    * Added option to show/hide author metadata line under author name.
    * Added option to enable/disable structured data markup.
    * Added option to enable/disable author box stylesheet.
* Multi-Authors:
    * Added option to enable/disable multi-author feature.
* Guest Authors:
    * Restyled guest author edit-screen.
* WP Users:
    * Added option to enable/disable user extra profile fields feature.
    * Restyled user/profile edit-screen.
    * Fixed user list loading slow when more than 1500 users.
* Bylines:
    * Added option to enable/disable template tags for post byline.
* Local Avatar:
    * Added option to enable/disable local avatar feature.
    * Added option to choose author avatar source and default image to display if none uploaded/configured.
* SEO:
    * Added support for Twitter Card creator meta tag.
    * Added support for Open Graph author meta tag.
    * Dropped addition of discontinued Google Authorship meta tag.
    * Added options to select whether and how to add <meta name="author"> tag on page's <head> on multi-authored posts.
* Performance:
    * Reduced PHP memory usage.
    * Reduced server load by loading resources only where needed: backend, frontend or Customizer.
    * Reduced page load by loading script and stylesheet files only where needed.
    * Reduced page load by reducing script and stylesheet files size.
    * Improved author data query speed.
* Compatibility:
    * Added WordPress 5.4.1 compatibility.
    * Added option to enable/disable theme compatibility.
    * Added option to enable/disable compatibility with third party plugins.
    * Author box strings are now translation-ready with multilingual plugins.
* Other:
    * Plugin functionality can be disabled on posts and/or pages.
    * Restyled plugin settings page.
    * Added option to export plugin settings.
    * Updated Molongui Framework to version 1.4.0
    * Added minimum PHP version check.
    * Major code refactor.
* Premium enhancements:
    * Added 1-click option to convert guest author to WP user.
    * Added 1-click option to convert WP user to guest author.
    * Added option to not allow search engines to show a guest author archive in search results.
    * Added option to prepend and append custom text to post byline.
    * Added option to prepend and append custom text to archive title.
    * Added options to import and reset plugin settings.

= 3.2.28 (2020-03-14) =

* Enhancements:
    * Admin metabox to configure author box display settings is now displayed only to logged in users with 'manage_options' capability.
* Bugfixes:
    * Fixed fatal error when Tag Cloud Library plugin enabled (bug introduced in version 3.2.27).
    * Fixed author archives not working with Genesis-based themes (bug introduced in version 3.2.26).

= 3.2.27 (2020-03-10) =

* Enhancements:
    * Enhanced compatibility with the Tag Cloud Library plugin.
* Bugfixes:
    * Fixed author boxes not being displayed on multi-authored posts (bug introduced in version 3.2.26).
    * Fixed PHP fatal error when using a version of Yoast SEO lower than 7.1.
    * Fixed guest author CPT slug not being updated on post title change.
* Other:
    * Removed 'molongui_authorship_guest_author_slug' filter.

= 3.2.26 (2020-03-05) =

* Enhancements:
    * Enhanced compatibility with Genesis Framework theme.
    * Enhanced compatibility with WPML plugin: author bio is now translatable.
* Bugfixes:
    * Fixed decorative icons not being displayed on author box tabs.
    * Fixed wrong avatar displayed on mobile menu on guest posts when using the BuddyBoss Theme.

= 3.2.25 (2020-02-07) =

* Enhancements:
    * Added compatibility with Schema and Schema Premium plugins.
    * Enhanced compatibility with Yoast SEO plugin, version 12.8 and up.
* Bugfixes:
    * [PREMIUM] Fixed avatar not getting styled as configured when being displayed by the [molongui_author_list] shortcode.

= 3.2.24 (2020-01-28) =

* Enhancements:
    * Enhanced compatibility with the BuddyBoss Theme.
    * Enhanced compatibility with the SimpleMag Theme.
* Bugfixes:
    * Fixed wrong author name displayed on archives by themes not providing user ID to retrieve author data.
    * [PREMIUM] Fixed author archives displaying wrong author meta tags.
    * [PREMIUM] Fixed guest authors not being included in search results unless 'search by author' setting was enabled.

= 3.2.23 (2020-01-16) =

* Bugfixes:
    * Fixed multi-author byline links not working on some installations filtering pipe characters.
    * Fixed multi-author byline title showing undesired white spaces.
    * Fixed compatibility issue with Jupiter theme preventing to display posts loop.
    * Fixed compatibility issue with Jupiter theme listing wrong posts on user archives.
    * Fixed wrong link to the feed for all posts by a given author for co-authored posts.
    * Fixed wrong canonical URL being retrieved by Yoast SEO from WPSEO_Schema_Context class for co-authored posts.
* Compatibility:
	* Bumped version for WP 5.3.2.

= 3.2.22 (2019-12-10) =

* Bugfixes:
    * Fixed guest author archives not working when user archives disabled.
    * Fixed WP users archive page displaying wrong layout.
    * Fixed author archive pages displaying wrong author data when using Yootheme.
    * Fixed author archive pages displaying wrong author data when using the Astra theme, version 2.0.0 or higher.
    * Fixed wrong author name displayed on single post byline when using tagDiv Cloud Library plugin (with Newspaper theme, version 10 and up).
    * Fixed authors drop-down causing timeouts when there were a huge number of authors to list.
* Compatibility:
	* Bumped version for WP 5.3.0.

= 3.2.21 (2019-11-01) =

* Enhancements:
    * Added more social networks: RSS, Designer News, Apple Podcasts, Overcast, Breaker, Castbox, Radio Public, Tune In and Scout FM.
* Bugfixes:
    * Fixed ajax loaded content displaying wrong byline (it displayed the name of the author who actually added the post to WP).
    * Fixed ajax loaded content linking author names to a weird wrong URL on multi-author bylines.
    * Fixed byline linking the 'x more' string to the next author archive page.
    * Fixed user archive page listing wrong posts when using the Jupiter theme.
    * Fixed issue preventing to extend plugin functionality to custom post types added with the Pods plugin.
    * [PREMIUM] Fixed wrong spacing between author box elements when using profile layout #2.
    * [PREMIUM] Fixed social media icons being displayed on right-aligned when using profile layout #7.

= 3.2.20 (2019-10-22) =

* Enhancements:
    * Enhanced compatibility with the 'Mundana' theme.
* Bugfixes:
    * Fixed multi-author byline not linking to author archives when separator defined without spaces.
    * [PREMIUM] Fixed [molongui_author_list output=box] not displaying anything under certain circumstances.
    * [PREMIUM] Removed 'force_display' attribute for the [molongui_author_list] shortcode.

= 3.2.19 (2019-10-16) =

* Enhancements:
    * Enhanced compatibility with 'UsersWP' plugin.
* Bugfixes:
    * Fixed wrong author name displayed on revisions on some cases.
* Other:
    * Removed debug message.
* Compatibility:
	* Bumped version for WP 5.2.4.

= 3.2.18 (2019-09-26) =

* Enhancements:
    * [PREMIUM] Added setting to control vertical alignment of the author image and bio within the author box.
    * [PREMIUM] Added a new 'include_posts' attribute to the 'molongui_author_posts' shortcode so you can indicate the posts to list.
* Bugfixes:
    * Fixed wrong author info on some author archives when using the Bitz theme.
* Compatibility:
	* Bumped version for WP 5.2.3.

= 3.2.17 (2019-08-07) =

* Bugfixes:
    * Fixed author box being displayed on the footer when tagDiv Composer is configured to display a page as the footer.
    * Fixed author list not being displayed regardless of the 'force_display' attribute value.
    * Fixed wrong commenter name being displayed on guest and multi authored posts when using BuddyPress plugin.
    * Fixed wrong author archive title displayed when using Flatsome theme.

= 3.2.16 (2019-07-27) =

* Bugfixes:
    * Fixed guest author avatar not being displayed when email field was empty.
    * Fixed wrong user avatar being displayed on WP admin bar when viewing a guest post.
    * Fixed guest author archives not displaying the correct title and meta description when filling in the 'Title to use for Author page' field from Yoast SEO.

= 3.2.15 (2019-07-16) =

* Bugfixes:
    * Fixed author name not being displayed correctly on archive pages on sites using the 'Vellum' theme.
    * Fixed archive pages not listing correct posts for displayed author on sites using the 'Vellum' theme.

= 3.2.14 (2019-07-11) =

* Enhancements:
    * [PREMIUM] Added an option to list pages on guest author archive pages.
    * [PREMIUM] Added an option to list custom post types on user and guest author archive pages.
* Bugfixes:
    * Fixed byline name not linking to the correct page when plugin configured to display only the main author.
    * Fixed user archive page displaying pages regardless of the configured setting.
    * Fixed author archives not displaying the author avatar when using GeneratePress theme.
* Other:
    * Updated banner and icon header images.

= 3.2.13 (2019-07-08) =

* Enhancements:
    * [PREMIUM] 'molongui_author_list' now accepts the IDs of the authors that must be displayed.
    * Updated framework to version 1.3.1.
* Bugfixes:
    * Fixed author names on multi-author bylines not linking to each author archive page on some themes.
    * Fixed website icon not being displayed on the author box of a registered user.

= 3.2.12 (2019-06-27) =

* Enhancements:
    * Enhanced compatibility with themes to automatically display the byline without the need of manual integration.
    * Added Bookbub and Untappd social networks.
	* Some code refactor and optimization.
* Bugfixes:
    * Fixed wrong author bio displayed on author archives using the 'user_description' to display author bio.
    * Fixed premium social networks icons not being displayed on guest authors admin list.
	* [PREMIUM] Fixed 'hide_if_no_bio' attribute for the 'molongui_author_box' not working properly.
* Code Refactoring:
    * Removed 'molongui_authorship_dont_filter_name' filter.
    * Removed 'molongui_authorship_dont_filter_the_author_display_name' filter.
    * Removed 'molongui_authorship_dont_filter_the_author_description' filter.
* Compatibility:
	* Bumped version for WP 5.2.2

= 3.2.11 (2019-05-23) =

* Enhancements:
    * Enhanced compatibility with those themes that use the nickname to display author name.
* Bugfixes:
    * Fixed author avatar not displaying on author box when multi-authored post and archive links enabled.
    * Fixed author archives pages not displaying all posts on some installations.
    * Fixed multi-author byline not working on author archives pages when using Newspaper theme.
    * Fixed multi-author box taking overlapping HTML elements above it when those were contained in a DOM without height.
    * Fixed Memberpress password reset request not sending the email with the link to reset the password.
* Compatibility:
	* Bumped version for WP 5.2.1

= 3.2.10 (2019-04-30) =

* Bugfixes:
    * Fixed issue with Yoast SEO that might prevent posts from being displayed.

= 3.2.9 (2019-04-29) =

* Bugfixes:
    * Fixed javascript causing issues on some installations.
    * Fixed PHP warnings being displayed when trying to retrieve that from no guest author object.

= 3.2.8 (2019-04-26) =

* Enhancements:
    * Removed useless "View" link from guest authors row action links.
    * [PREMIUM] "View" link from guest authors row actions now points to the guest author archive page.
* Bugfixes:
    * Fixed author sortable list not working on Quick/Bulk Editor when using Google Chrome browser.
    * Fixed javascript error on post edit screen caused by missing javascript lines.
    * Fixed guest author name in byline linking to internal anchor when guest author archive pages disabled.
    * Fixed global $post not being restored after some new WP_Queries.
    * Fixed rel link (Yoast SEO) property on (guest) author archives pages when first post is not multi-authored.
    * [PREMIUM] Fixed [molongui_author_list] shortcode not displaying author boxes in some cases.
* Code Refactoring:
    * Renamed 'filter_name' function to 'maybe_filter_name'.
    * Renamed 'filter_the_author_display_name' function to 'maybe_filter_the_author_display_name'.
    * Renamed 'filter_link' function to 'maybe_filter_link'.
    * Removed 'prepare_link' function.

= 3.2.7 (2019-04-22) =

* Enhancements:
    * Enhanced compatibility with Yoast SEO plugin.
* Bugfixes:
    * Fixed 'Authors' and 'Author Box' columns being displayed on any admin table after updating any row via 'Quick Edit'.
    * Fixed some meta/link (Yoast SEO) properties on (guest) author archives pages.

= 3.2.6 (2019-04-15) =

* Enhancements:
    * Improved multi-author byline integration. Now the plugin automatically makes each author link to the author archive page.
    * Enhanced compatibility with the NewsMag, by tagDiv.
    * [PREMIUM] Added 'force_display' attribute to the 'molongui_author_list' shortcode to display author boxes regardless of Display Settings.
    * [PREMIUM] Added 'Select an author' option to the select dropdown list displayed by the 'molongui_author_list' shortcode.
    * [PREMIUM] Added some enhancements to the 'molongui_author_meta' shortcode.
* Bugfixes:
    * Fixed default value for 'author box headline tag' and 'author box author name tag' settings.
    * [PREMIUM] Fixed wrong author avatar being displayed on guest author archives when using Astra Theme.
    * [PREMIUM] Fixed 'molongui_author_list' displaying authors without bio regardless of global setting configuration.

= 3.2.5 (2019-04-05) =

* Enhancements:
    * Enhanced compatibility with the Newspaper Theme, by tagDiv.
    * 'Display name' automatically filled in for those guest authors added before version 3.2.0.
    * Eliminated render-blocking JavaScript in above-the-fold content. Moved into the footer.
    * [PREMIUM] Added 'select' layout to the 'molongui_author_list' shortcode to display a dropdown that links to author archive page on selection.
* Bugfixes:
    * Fixed wrong author name being displayed on Newspaper Theme blocks.
    * [PREMIUM] Fixed SQL syntax error on search query when no authors matched search criteria.
    * [PREMIUM] Fixed search query error that prevented to get correct results when searching by full author name.

= 3.2.4 (2019-03-31) =

* Enhancements:
    * Added 'Author box' column to Posts and Pages admin tables to display whether the author box is configured to be displayed.
    * Added 'default' option to 'Where to display the author box' post's setting.
    * Changed global display setting's default value to 'posts'.
    * Restored 'Slug' field to Quick Edit guest authors.
    * Added 'Name' and 'Display box' fields to Quick Edit guest authors.
    * Added 'Author' and 'Display box' fields to Quick Edit posts.
    * [PREMIUM] Added 'Author' field to bulk-edit posts.
    * [PREMIUM] Added 'Display box' field to bulk-edit posts, users and guest authors.
    * [PREMIUM] Added 'force_display' attribute to the 'molongui_author_box' shortcode to override display settings.
    * [PREMIUM] Added new shortcode: 'molongui_author_select' displays a dropdown listing authors on your site.
    * [PREMIUM] 'Expired license' admin notices are now dismissible.
* Bugfixes:
    * Fixed author box display on paged posts.
    * [PREMIUM] Fixed [molongui_author_box] shortcode displaying the author box based on global setting.

= 3.2.3 (2019-03-21) =

* Enhancements:
    * Re-tuned author box display logic. Prevalence of the settings involved: author > post > category > empty bio > global setting.
    * Added 'Author box' column to the 'Users' list table to display author box configuration set for each user.
    * Added 'Academia.edu' social network.
    * Added option to define the HTML tag that author box headline (optionally displayed above the author box) must use.
    * Added option to define the HTML tag that author name (displayed within the author box) must use.
    * Moved 'Metadata' settings to 'SEO' section in the 'Advanced' tab for clarity.
    * [PREMIUM] Enhanced WordPress search to include posts by matching authors in search results.
* Bugfixes:
    * Fixed guest author name on bylines being a link to weird 'molongui-disabled-link' (didn't affect to Premium version).
    * Fixed author name and author meta not being centered on mobile.
    * Fixed social icons not being properly centered in some cases.
    * Fixed social icons line spacing.
    * Fixed author box title and container being shown even no author bios to show (affected only multi-authored posts in some cases).
    * Fixed javascript error causing Customizer not working properly on some installations.
    * [PREMIUM] Fixed author name linking to wrong archive page on authors list displayed by the 'molongui_author_list' shortcode.
    * [PREMIUM] Fixed warning notices displayed on guest author archive pages when third plugins tried to retrieve author ID with 'get_queried_object' function, like Yoast SEO.
* Code Refactoring:
    * 'molongui_authorship_guest' option key renamed to 'molongui_authorship_authors'.
    * [PREMIUM] 'author-archives.php' file renamed to 'user-archives.php'.
* Other:
    * 'Include guest author archive pages' in search results is now a Premium functionality.
* Compatibility:
	* Bumped version for WP 5.1.1

= 3.2.2 (2019-03-11) =

* Bugfixes:
    * Fixed admin notices not being dismissed.

= 3.2.1 (2019-03-08) =

* Bugfixes:
    * Fixed author box not being displayed when global 'Display' setting configured to 'No, let me choose where to display it' [Bug introduced on version 3.2.0].
    * [PREMIUM] Fixed avatar on authors (basic layout) list not being displayed by the 'molongui_author_list' shortcode.
    * [PREMIUM] Fixed attribute 'with_posts' not working for the 'molongui_author_list' shortcode.

= 3.2.0 (2019-03-07) =

* Enhancements:
    * Reduced server load by getting vendor scripts from CDN.
    * Reduced page load by loading backend scripts only where needed.
    * Reduced page load by loading backend styles only where needed.
    * Reduced number of queries to the database to get plugin settings.
    * Added 'first name', 'last name' and 'display name' fields for guest authors.
    * Added 'Entries' column to 'Users list' to display number of entries for each user.
    * Restyled guest author edit-screen.
    * Restyled user edit-screen.
    * Added Molongui Authorship fields to the "Add user" screen.
    * Removed 'e-mail' and 'website' from social networks list. Both can be optionally displayed as an icon.
    * Now it is possible to show phone number as another icon within the social icons section.
    * Removed 'Profile link' field from edit-user screen. Default WP 'Website' field is used instead.
    * Added setting to align name and author meta within the author box.
    * Updated framework to version 1.3.0.
    * Moved support features from plugin settings page ('Support' tab) to "Support" menu item, under 'Molongui' menu.
    * Refactored "Support" page to display support resources in tabs: 'help request' and 'system status report'.
    * Now you can open support tickets and chat with us without leaving your WordPress Dashboard :)
    * [PREMIUM] List of authors displayed by the 'molongui_author_list' shortcode can now be also ordered by 'first_name' and 'last_name'.
    * [PREMIUM] Avatar on authors list displayed by the 'molongui_author_list' shortcode now links to the author archive page.
    * [PREMIUM] Added 'count' attribute to the 'molongui_author_list' shortcode to limit the number of authors to list.
* Bugfixes:
    * Fixed author gravatar not being displayed for registered users with configured e-mail.
    * Fixed author e-mail being displayed in author meta if 'display phone' setting was set to true.
    * Fixed guest authors screen being messed up when a bio contained double quotation marks.
    * Fixed "Entries" column displaying a wrong count in value in some cases.
    * Fixed a javascript blocking error on edit-post screen when no there are no authors to list.
    * Fixed 'hide on category' setting being ignored.
    * Fixed wrong commenter avatar being displayed on WPDiscuz comment form if post without comments.
    * Fixed wrong logged in user avatar being displayed on OneSocial theme's header (aside).
    * [PREMIUM] Fixed bordered social media icons not displaying right border on Google Chrome.
* Code Refactoring:
    * Custom profile class file renamed from 'class-custom-profile.php' to 'molongui-class-user.php'.
* Compatibility:
	* Bumped version for WP 5.1.

= 3.1.12 (2019-02-19) =

* Bugfixes:
    * Fixed script causing problems on custom post types where plugin functionality wasn't extended to.

= 3.1.11 (2019-02-18) =

* Enhancements:
    * Restyled guest author list table. Now it displays whether the author has a field filled out.
    * Custom plugin font loaded from a standalone file instead of being embedded into CSS file.
    * Updated framework to version 1.2.9.
    * [PREMIUM] Added integration with Yoast SEO Sitemaps to include guest author archive URIs into sitemaps.
* Bugfixes:
    * Fixed author selection not working when trying to add the first author on the list on a short list of authors.
    * Fixed tooltip left there on last author removal.
    * Fixed author archive page title when using Yoast SEO Plugin and having multi-authored posts.
    * Fixed wrong author data being displayed within the GeneratePress' author box displayed at author pages.

= 3.1.10 (2019-02-08) =

* Bugfixes:
    * Fixed displaying social networks with data but not marked to be displayed.
* Other:
    * Updated plugin's database schema to version 9.

= 3.1.9 (2019-02-06) =

* Enhancements:
    * [PREMIUM] Added 'molongui_author_name' shortcode.
    * [PREMIUM] Added 'molongui_author_slug' shortcode.
    * [PREMIUM] Added 'molongui_author_url' shortcode.
    * [PREMIUM] Added 'molongui_author_bio' shortcode.
    * [PREMIUM] Added 'molongui_author_mail' shortcode.
    * [PREMIUM] Added 'molongui_author_meta' shortcode.
* Bugfixes:
    * Fixed references to 'get_by_line' function, which was renamed on version 3.1.8
    * Fixed template tags returning empty strings when used outside the loop but given the post ID.

= 3.1.8 (2019-02-05) =

* Enhancements:
    * Now it is possible to show email address as another icon within the social icons section.
    * Now it is possible to show website link as another icon within the social icons section.
    * Added ResearchGate social network.
    * Added compatibility with JNews theme.
    * Updated framework to version 1.2.8.
    * [PREMIUM] Added option to display registered WordPress user' pages on archive pages.
    * [PREMIUM] Added integration with Google XML Sitemaps (aka Google Sitemap Generator) to include guest author archive URIs into the generated sitemap.
    * [PREMIUM] Enhanced 'molongui_author_avatar' shortcode functionality.
    * [PREMIUM] Added attribute to define the size of the image given by the [molongui_author_avatar] shortcode.
    * [PREMIUM] Added email and phone encryption to data displayed by the [molongui_author_list] shortcode.
* Bugfixes:
    * Fixed links on meta line not taking 'nofollow' setting value.
    * Hidden core author input when using the Gutenberg editor.
    * Fixed attribute id on link elements (CSS includes) containing a whitespace.
    * [PREMIUM] Fixed 'molongui_author_list' shortcode not correctly ordering list by number of posts.
* Code Refactoring:
    * Author class file renamed from 'class-author.php' to 'molongui-class-author.php'.
    * 'get_by_line' function renamed to 'get_byline'.
    * 'filter_author_name' function renamed to 'filter_name'.
    * 'filter_author_link' function renamed to 'filter_link'.
    * 'filter_author_avatar' function renamed to 'filter_avatar'.
    * 'filter_author_bio' function renamed to 'filter_the_author_description'.
    * Added 'molongui_authorship_dont_render_author_box' filter.
    * Added 'molongui_authorship_dont_filter_name' filter.
    * Added 'molongui_authorship_dont_filter_the_author_display_name' filter.
    * Added 'molongui_authorship_dont_filter_link' filter.
    * Added 'molongui_authorship_dont_filter_avatar' filter.
    * Added 'molongui_authorship_dont_filter_the_author_description' filter.

= 3.1.7 (2019-01-24) =

* Enhancements:
    * Avatar related settings are now hidden if 'show_avatar' setting is disabled.
    * [PREMIUM] Added 'show_avatar' attribute to the 'molongui_author_box' shortcode.
* Bugfixes:
    * Fixed avatar not being displayed on author box (default value wasn't set for 'show_avatar' setting).
* Other:
    * Removed deprecated '_SLUG' constant.

= 3.1.6 (2019-01-23) =

* Enhancements:
    * Added setting to configure whether to display author avatar within the author box.
    * Added more social media networks/apps: Line and Line@
    * Enhanced structured data attributes for author entity in the author box.
    * Enhanced structured data attributes for related entries in the author box.
    * Updated framework to version 1.2.7.
    * [PREMIUM] Added setting to configure whether author avatar links to the author's archive page.
    * [PREMIUM] Added attribute to the 'molongui_author_list' shortcode to order the list by number of posts.
* Bugfixes:
    * Fixed incorrect use of 'creator' structured data attribute.

= 3.1.5 (2019-01-17) =

* Enhancements:
    * Customized cpt update messages.
* Bugfixes:
    * Fixed author box contents being centered aligned in some cases.
    * Fixed bio text align setting not live previewing at the Customizer.
    * Fixed plugin menu layout at the Customizer.
    * Fixed Premium setting notices not being displayed at the Customizer.

= 3.1.4 (2019-01-16) =

* Enhancements:
    * [PREMIUM] Added settings to encrypt e-mail addresses and phone numbers so that spam bots can not read them.
* Bugfixes:
    * Fixed bio text align setting being ignored.
    * [PREMIUM] Fixed missing "Enable plugin on..." setting from the advanced tab.

= 3.1.3 (2019-01-15) =

* Enhancements:
    * Added setting to customize author box bio's line-height.
    * [PREMIUM] Added setting to disable the author box on a per author basis.
    * [PREMIUM] Guest author archives URL format matches the user settings (with or without trailing slash).
    * Deleted unused "plugins" folder.
    * Refactored code.
    * Updated framework to version 1.2.6.
* Bugfixes:
    * Fixed author box showing too much space between contents when configuring 'order' setting to a value lower than 10.
    * [PREMIUM] Fixed customizer images not being displayed.
* Compatibility:
	* Bumped version for WP 5.0.3.

= 3.1.2 (2018-10-31) =

* Enhancements:
    * Guest authors list displays the number of each post-type authored by a guest author.
    * Minor performance improvement when retrieving posts.
* Bugfixes:
    * Fixed related entries not being ordered as configured.
    * Fixed php warning displaying when there is no post configured to show the author box.

= 3.1.1 (2018-10-29) =

* Bugfixes:
    * Fixed related custom post types not showing.
    * Fixed JavaScript error on custom post types where the plugin was not enabled on.

= 3.1.0 (2018-10-25) =

* Enhancements:
    * Added more social profiles and networks (Digg).
    * Unlocked some premium settings: icons color and headline text case.
    * Dropped usage of jQuery.noConflict() to avoid issues with other plugins.
    * Framework updated to version 1.2.5.
    * [PREMIUM] Added more social profiles and networks (Angellist, Amazon, Dropbox, Ebay, Dribbble, PayPal, Scribd).
* Bugfixes:
    * Fixed PHP warning regarding 'tabs_active_color' setting not being defined.
    * Fixed tabs background color settings not live previewing.
    * [PREMIUM] Fixed tabs position setting being ignored at the frontend.

= 3.0.0 (2018-10-19) =

* Enhancements:
    * Added a new box layout that displays author profile above related posts in the same author box.
    * Added settings to customize box tabs (if "tabbed" layout selected).
    * Added a new template to display related entries into the author box.
    * Added the option to not display any avatar if none uploaded and no Gravatar found.
    * Added 'Hide on these post categories' setting to control on which categories the author box won't be displayed by default.
    * Added 'Order' setting to be able to move the author box above or below other third party contents added to the contents of the post.
    * Added setting to control where to display the author box on a per post basis. Post setting prevails over plugin setting.
    * Added setting to make links to social networks 'nofollow'.
    * Orange upgrade notice displayed at the top of some admin pages is now dismissible for 60 days.
    * Framework updated to version 1.2.4.
    * [PREMIUM] Added 7 new profile templates.
    * [PREMIUM] Added a third template to display related entries into the author box.
    * [PREMIUM] Refactored author box layout structure which leads to 40 different layouts to choose from.
    * [PREMIUM] A 'Contributors' page with a list of all authors in your site is automatically created.
    * [PREMIUM] Added 'show_bio' attribute to [molongui_author_box] shortcode to control whether to display author bio information.
    * [PREMIUM] Added 'extra_content' attribute to [molongui_author_box] shortcode to display custom content (HTML tags allowed) after/instead of author bio information.
* Bugfixes:
    * Fixed archive pages not showing custom post types.
    * Fixed archive pages not showing uploaded avatar for wp-users.
    * Fixed author avatar displaying wrong on "Contributors" page from Extra theme.

= 2.2.4 (2018-09-14) =

* Enhancements:
    * Added small hack to avoid issues displaying the author box after floating elements.
    * [PREMIUM] Added “molongui_author_avatar” shortcode to display author avatar wherever needed.

= 2.2.3 (2018-09-13) =

* Bugfixes:
    * Fixed "What's new" notice being displayed although having been dismissed.

= 2.2.2 (2018-09-03) =

* Bugfixes:
    * Fixed comment avatar displaying wrong image (bug introduced on version 2.1.0).
    * Fixed revisions displaying the wrong author name in some cases at edit post screen (backend).
    * Fixed revisions displaying the wrong author avatar in some cases at edit post screen (backend).
    * Fixed post list displaying the wrong author avatar when a post is locked because someone is editing it (backend).

= 2.2.1 (2018-08-17) =

* Bugfixes:
    * Fixed author box displaying tabs on every layout.

= 2.2.0 (2018-08-16) =

* Enhancements:
    * Added option to display the author box above and below the post content.
    * Added option to disable "guest authors" functionality.
    * [PREMIUM] Added "Capitalize", "Overline" and "Over and underline" options to text-style settings.
* Bugfixes:
    * Fixed author pages displaying posts from other authors.

= 2.1.1 (2018-08-14) =

* Enhancements:
    * Framework updated to version 1.2.3.
* Bugfixes:
    * Fixed registered author bio being replaced by a co-author's bio in archive pages when that co-author is the main author of the post.
    * [PREMIUM] Fixed guest-author bio not showing on author archives pages.
    * [PREMIUM] Fixed guest-author bio being replaced by a registered user bio in paged archive pages.

> <strong>Important</strong>: Back up your WordPress database before updating.

= 2.1.0 (2018-08-14) =

* Enhancements:
    * Unlocked "Only on posts" and "Only on pages" options for "Show by default" author box setting.
    * Unlocked "author name color" setting.
    * Settings page reorganization for clarity's sake.
    * Moved author box style customization ("Author" tab) to WordPress Customizer with live preview.
    * Moved strings customization ("Labels" tab) to WordPress Customizer with live preview.
    * Font and border sizes can now be set in pixels.
    * Framework updated to version 1.2.2.
    * [PREMIUM] Added setting to disable user archive pages and redirect pages to any given destination.
    * [PREMIUM] Added setting to disable the link to archive pages on author name.
    * [PREMIUM] Added more styles to further customize the author box: border style, text style...
* Bugfixes:
    * Fixed biography not showing break lines.
* Compatibility:
	* Bumped version for WP 4.9.8.
* Other:
    * Removed "Main" tab from plugin settings page.
    * Added "Byline" tab to plugin settings page.
    * Added "Guest authors" tab to plugin settings page.
    * Added "Author archives" tab to plugin settings page.
    * Removed "Labels" tab from plugin settings page. Settings available at WP Customizer.
    * Removed "Preview" option from the plugin settings page.
    * 'molongui_authorship_main' option key removed.
    * 'molongui_authorship_byline' option key added.
    * 'molongui_authorship_guest' option key added.
    * 'molongui_authorship_archives' option key added.
    * Renamed several author box settings keys.
    * Renamed author box layout template names.

= 2.0.15 (2018-07-06) =

* Enhancements:
    * [PREMIUM] Added 'meta_key' and 'meta_value' attributes to 'molongui_author_posts' shortcode to allow custom filtering.
* Bugfixes:
    * Fixed authors dropdown showing users whose role is different than administrator, editor, author or contributor.
    * Fixed author archive page displaying latest post title instead of the author name.
    * Fixed default 'multiauthor_layout' setting value.
    * Fixed class not being echoed in tabbed layout.
    * [PREMIUM] Fixed ordering not working on 'molongui_author_list' shortcode.
* Compatibility:
	* Bumped version for WP 4.9.7.

= 2.0.14 (2018-06-27) =

* Enhancements:
    * Framework updated to version 1.2.1.
* Bugfixes:
    * Fixed 404 errors coming from some missing font files.

= 2.0.13 (2018-06-22) =

* Bugfixes:
    * Fixed incompatibility with Google Language Translator plugin when using Mozilla Firefox.

= 2.0.12 (2018-06-20) =

* Bugfixes:
    * Fixed author image being displayed on the center of the box regardless of the selected layout when using Google Chrome.

= 2.0.11 (2018-06-15) =

* Enhancements:
    * [PREMIUM] 'post_types' is not a required attribute for 'molongui_author_posts' shortcode anymore. Now it defaults to 'selected'.

= 2.0.10 (2018-06-13) =

* Enhancements:
    * [PREMIUM] Added "molongui_author_posts" shortcode to display a list of post by given author.
* Bugfixes:
    * Fixed minor credit url error.

= 2.0.9 (2018-06-11) =

* Bugfixes:
    * Fixed default profile images not being displayed when "Show avatars" setting disabled.
    * [PREMIUM] Fixed bottom icons displaying centered on "ribbon" layout.

= 2.0.8 (2018-06-11) =

* Enhancements:
    * Added "None" as default profile image option, so no image is displayed if none is set and no Gravatar can be retrieved.
* Bugfixes:
    * Fixed "Default profile image" setting not being displayed.

= 2.0.7 (2018-06-06) =

* Enhancements:
    * Multisite compatible.
    * Now you can set up any number of related posts to show within the author box. Removed limitation of up to 8.
    * Dropped use of our own biography field in favour of WP's biography field (for registered authors).
    * Added setting to hide any element on your site given its ID or CSS class.
    * Updated French translation.
    * Framework updated to version 1.2.0.
    * [PREMIUM] molongui_author_box shortcode now displays as many authors as the post have assigned if no author ID is indicated.
* Bugfixes:
    * Fixed related post and page post-types to show not being saved when disabled.
    * Fixed related posts showing non-authored posts for wp registered users.
    * Fixed default settings getting corrupted on db update.
* Compatibility:
	* Bumped version for WP 4.9.6.

= 2.0.6 (2018-04-03) =

* Enhancements:
    * [PREMIUM] Added shortcode to display the byline anywhere. Useful for integrations without the need to edit any code.
* Bugfixes:
    * Fixed byline not showing remaining authors count when configured to show only main author and count.

= 2.0.5 (2018-03-30) =

* Bugfixes:
    * Fixed javascript error preventing author selection and reordering to work.

= 2.0.4 (2018-03-30) =

* Enhancements:
    * Selective loading of plugin-related backend assets.
    * Template tags now accept post id as parameter.
* Bugfixes:
    * Fixed user avatar being replaced by assigned author avatar on revision history meta-box.
    * [PREMIUM] Fixed 404 error page not rendering properly.
    * [PREMIUM] Fixed small style issues with social icons on ribbon layout.

= 2.0.3 (2018-03-19) =

* Enhancements:
    * Added "phone" field to author profile.
    * "Phone" field can be displayed as author meta within the author box, below the name.
    * Added setting to disable byline auto-update feature which might cause issues with third-party plugins.
    * [PREMIUM] Now you can add any shortcode on author description/bio field so it is rendered within the author box.

= 2.0.2 (2018-03-09) =

* Enhancements:
    * Removed "Date" column from guest authors list.
    * Partial integration with WPDiscuz plugin.
    * Framework updated to version 1.1.0.
    * [PREMIUM] Removed setting "Enable shortcode on text widget" when WP version is 4.9 or higher (enabled by default).
* Bugfixes:
    * Fixed byline not showing registered author names.
    * Fixed byline link to archive author pages.
    * Fixed co-authored posts not being listed on registered user archive page.
    * Fixed uploaded avatar not showing on registered users list.
    * Fixed php warnings displayed to non-admin users because of the menu item.
    * Fixed uninstall not working.
    * Removed "Guest authors" menu item for those users without capabilities to manage authors.
    * Removed "Authors" metabox for those users without capabilities to manage authors.
    * [PREMIUM] Fixed guest author archive returning a 404 error when no posts found.

= 2.0.1 (2018-02-27) =

* Bugfixes:
    * Fixed logged in user avatar being changed on WP admin bar by post author's.

> <strong>Important</strong>: Back up your WordPress database before updating.

= 2.0.0 (2018-02-26) =

* Enhancements:
    * Multiple authors functionality. Add as many authors and guest authors as you need to your posts and pages.
    * Author gravatar displayed by some themes or third plugins are now overridden with uploaded author avatar (if set).
    * New searchable dropdown list of authors sorted alphabetically.
    * Guest authors list now displays the number of posts and pages from each author.
    * Relocated plugin settings menu item. Now it is available under "Molongui" menu item.
    * Removed the author dropdown from posts quick edit.
    * Redesigned "Support" tab.
    * Full code refactor.
    * [PREMIUM] New author metadata fields separator to choose from.
    * [PREMIUM] 'molongui_author_list' shortcode now allows exclusions.
    * [PREMIUM] Author box can now be displayed on selected custom post types without the use of shortcodes.
* Bugfixes:
    * Fixed archive guest author links on search results page.
    * Fixed author box showing on all pages of a paged post/page.
    * Fixed PHP 7.1 compatibility issues.
    * [PREMIUM] Fixed registered wp user archive pages being disable when disabling guest author archive pages.
* Compatibility:
	* Bumped version for WP 4.9.4.

= 1.3.8 (2017-08-07) =

* Bugfixes:
    * Fixed option to style author name as an hyperlink.

= 1.3.7 (2017-08-07) =

* Enhancements:
    * Added option to style author name as an hyperlink.
* Bugfixes:
    * Fixed default image not showing for guest authors (thanks to Hannah).
    * Fixed tabbed layout not showing related posts (thanks to Lorina).
    * Fixed incompatibility with SiteOrigin builder (thanks to Al).
* Compatibility:
	* Bumped version for WP 4.8.1.

= 1.3.6 (2017-05-11) =

* Enhancements:
    * Added option to make guest authors searchable, so they may appear in search results.
    * [PREMIUM] Added iTunes social profile.
* Bugfixes:
	* Fixed profile image bottom margin added by some themes/plugins.
    * [PREMIUM] Fixed PHP warning messages when no given author id.

> <strong>Important</strong>: if you have customized author box styles using CSS code, please read changelog notes.

= 1.3.5 (2017-04-24) =

* Enhancements:
    * Added option to set the width of the author box.
    * Added option to set the top and bottom margins of the author box.
    * Added option to set a coloured border to the author profile image.
    * Added option to set a headline to the author box, displayed just above the author data (not on tabbed layout).
	* Added more social profiles (Odnoklassniki, Goodreads, Skype, ask.fm, Taringa!, Periscope, GitHub, WhatsApp, Telegram, Live Journal, Livestream, Styleshare, Everplaces, Draugiem.lv, Blogger, Plurk, BuzzFeed, Slides, Deezer, Spreaker, Runkeeper, Medium, Speaker deck, Kaggle, Houzz, Gumtree, Upwork, Superuser, Bandcamp, I fix it, Stitcher, Storify, Read the docs, Ello, Tinder, Stack Overflow, JSFiddle, Twitch, Trip Advisor, Wikipedia, 500px, Mixcloud, Quora, CodePen, CoderWall, Coursera and GooglePlay).
    * Code refactor to make author box fully responsive to the available space.
	* Code cleanup removing superfluous DOM elements id.
	* [PREMIUM] Added more social profiles (beBee, Viadeo, Etsy, Teespring, Patreon, Eventbrite, Reverbnation, Glassdoor, TopTal and Behance)
	* [PREMIUM] Now shortcode guesses 'author_id' if none given. Useful when displaying author box on the sidebar or footer of a post.
	* [PREMIUM] New shortcode to list all defined authors (registered, guests or both).
* Bugfixes:
	* Some author box styles fixes.
	* Author box preview not displaying as configured by the given settings.
	* [PREMIUM] Fixed acronym default image class incompatibility with some themes.
	* [PREMIUM] Fixed an issue that could cause issues at login page (thanks to Trevor).
* Other:
    * 'molongui-author-box-thumbnail' class name renamed to 'molongui-author-box-image'.
    * 'molongui-author-box-job' class name renamed to 'molongui-author-box-meta'.
* Compatibility:
	* Bumped version for WP 4.7.4.

= 1.3.4 (2017-02-28) =

* Bugfixes:
	* Fixed PHP notice thrown on "showbox" metabox when no default value exists. Thanks @marcelisl.
	* Fixed some other minor code bugs at 'class-guest-author.php' file.
	* [PREMIUM] Fixed shortcode not generating author box id.
* Compatibility:
	* Bumped version for WP 4.7.2.

= 1.3.3 (2017-01-10) =

* Enhancements:
	* [PREMIUM] Author box can now be displayed on author archive pages using the shortcode.

= 1.3.2 (2016-12-17) =

* Enhancements:
	* "ID" column added to "All users" and "All guest authors" pages.
* Compatibility:
	* Bumped version for WP 4.7.

= 1.3.1 (2016-11-09) =

* Enhancements:
	* String "This author does not have any more posts" is now translatable/customizable.
	* Removed link on guest authors name leading nowhere.
* Bugfixes:
	* [PREMIUM] Fixed pagination not working properly on archive author pages.
	* [PREMIUM] Fixed author link not taking into account plugin settings on post metadata.

= 1.3.0 (2016-09-12) =

* Bugfixes:
	* Fixed authorship box overflowing container's width.
	* Fixed tabs not getting color settings when using tabbed layout.
	* Fixed some layout's paddings.
	* [PREMIUM] Fixed minor bug on license deactivation which prevented plugin reactivation in some cases.
* Enhancements:
	* Admin settings page re-structured.
	* Added a preview of the author box in the admin settings page.
	* Customizable/Translatable frontend strings.
	* Updated Google+ and Instagram icons.
	* Added more social profiles (Slideshare, Dailymotion and Reddit).
	* Added support tab on admin settings page.
	* [PREMIUM] Added option to enable/disable the guest author archive pages.
	* [PREMIUM] Added option to specify the template to use by the guest author archive pages.
    * [PREMIUM] Added option to change the guest author archive page slug (/author/).
	* [PREMIUM] Added option to add a permalink to the guest author archive page.
	* [PREMIUM] Added option to display author name acronym as default image if none set.
	* [PREMIUM] Added option to enable/disable the use of shortcodes in text widgets.
	* [PREMIUM] Added five new icon styles (branded circled, branded circled reverse, branded squared, branded squared reverse and branded boxed).
* Other:
	* Authorship box layout name 'layout-1' changed to 'ribbon'.
	* Default label "Blog" changed to "Website".
	* Minor code cleanup.
	* [PREMIUM] Shortcode attribute 'icons_show' renamed to 'show_icons'.
	* [PREMIUM] Shortcode attribute 'related_show' renamed to 'show_related'.

= 1.2.20 (2016-06-17) =

* Bugfixes:
	* Fixed related posts listing posts from other users for registered authors.
	* Fixed code incompatibility with PHP < 5.4

= 1.2.19 (2016-06-02) =

* Bugfixes:
	* Fixed registered user's gravatar being replaced by guest author gravatar on guest post's comments.
	* Fixed authorbox not showing up when "only posts" or "only pages" options were selected.
* Enhancements:
	* Added Arabic translation (thanks to Bahr AbdUlrazzak).
	* Added Dutch translation (thanks to Stefan Boers).
	* Minor code cleanup.
* Other:
	* Updated plugin screenshots.

= 1.2.18 (2016-04-29) =

* Bugfixes:
	* Fixed archive author page showing a "Nothing found" message for registered users.
	* Fixed profile image not showing on WebKit based browsers.
	* [PREMIUM] Fixed guest author archive page not displaying properly when a theme had 'author.php' template file.
* Enhancements:
	* Added new layout (Tabbed layout).

= 1.2.17 (2016-04-22) =

* Bugfixes:
	* Fixed social media icons display on small screens when using default box layout.
	* Fixed possible name incompatibility with third-party iconfonts.
	* Fixed guest posts showing up on the author page of a registered user.
* Enhancements:
	* Added "Related posts" to the information displayed by the authorship box.
	* Added structured data markup (schema.org).
	* [PREMIUM] Added option to select the post type where to display by default the box: posts, pages, both, nowhere.
	* [PREMIUM] Added "Guest Author Archive" page. All posts from a guest author are now listed in a single page. Just click the guest author's name to get to it.
	* [PREMIUM] Enabled the use of shortcodes in text widgets by default.
* Other:
	* Author blog's link removed from author name's and placed into a stand alone link named "Blog".
* Compatibility:
	* Bumped version for WP 4.5.

= 1.2.16 (2016-02-23) =

* Bugfixes:
	* Fixed "italics" bio text style not working.
	* Fixed social media networks selection issue on settings page.
* Enhancements:
	* [PREMIUM] Added option to choose where to place the "Guest authors" menu item in the admin nav menu.

= 1.2.15 (2016-02-08) =

* Bugfixes:
	* Fixed plugin configuration and data removal upon uninstall.
	* [PREMIUM] Fixed inline icons display issue with default and branded icon styles.

= 1.2.14 (2016-02-07) =

* Enhancements:
	* Added the option to choose the default author image to show if none set.
	* [PREMIUM] Shortcode can now fully customize the authorship box styling.

= 1.2.13 (2016-02-04) =

* Bugfixes:
	* Visual editor disabled due to a bug introduced in version 1.2.12.
	* Author name displayed wrong due to a bug introduced in version 1.2.12.
* Enhancements:
	* Enhanced compatibility with HTTPS sites.
	* Author biography now supports line breaks.

= 1.2.12 (2016-01-12) =

* Bugfixes:
	* Fixed guest author dropdown list showing only 'post-per-page' authors.
	* [PREMIUM] Fixed wrong plugin folder name issue after an update.
* Enhancements:
	* Enhanced compatibility with themes not using 'the_author' template tag.

= 1.2.11 (2015-12-06) =

* Bugfixes:
	* [PREMIUM] Fixed license deactivation on plugin deactivation.
* Enhancements:
	* Added the option to set a background color to the authorship box.
	* Some code optimizations.

= 1.2.10 (2015-10-24) =

* Bugfixes:
	* Fixed new options not having default values on update.

= 1.2.9 (2015-10-12) =

* Bugfixes:
	* Enhanced compatibility for flexboxes.
* Enhancements:
	* Added more social profiles (Vk, Flickr, Vine, Meetup, Sina-weibo, Deviantart, Stumbleupon, Myspace, Yelp, Mixi, SoundCloud, Last.fm, Foursquare and Spotify).
	* Added an option to hide those social networks you don't use at the backend.

= 1.2.8 (2015-09-25) =

* Bugfixes:
	* Responsive layout not working properly on small devices.
	* Added profile options couldn't be removed.
	* Default Gravatar image doesn't get image style setting.

= 1.2.7 (2015-09-24) =

* Bugfixes:
	* Non-existing default font size value for social icons.
	* Google Analytics by Yoast plugin breaks external links.

= 1.2.6 (2015-09-21) =

* Bugfixes:
	* Image style not working on registered authors.
* Enhancements:
	* Added a "Company link" field to link the company name to it.
	* [PREMIUM] New "Boxed" social icons style.

= 1.2.5 (2015-09-17) =

* Bugfixes:
	* Registered user displaying "nicename" instead of "display name".
	* Social icons not resizing properly.
	* Link to registered user not working on admin list pages.
* Enhancements:
	* [PREMIUM] Shortcode can now be used with additional attributes.

= 1.2.4 (2015-09-16) =

* Bugfixes:
	* Image style option is now being saved and applied to the frontend profile image.
* Enhancements:
	* Added more social networks (Pinterest, Tumblr, Instagram, Xing and Renren).

= 1.2.3 (2015-09-15) =

* Bugfixes:
	* Error on plugin activation due to premium library load.

= 1.2.2 (2015-09-15) =

* Enhancements:
	* Now it is possible to show the author box also in pages.
	* [PREMIUM] Now you can display the author box anywhere you want using the shortcode [molongui_author_box].

= 1.2.1 (2015-09-02) =

* Bugfixes:
	* Added fallback for undefined settings after updates.

= 1.2.0 (2015-09-02) =

* Bugfixes:
	* Default plugin settings are used if user does not define any.
	* Some code refactoring and optimizations.
* Enhancements:
	* Now it is possible to customize the author box styling to best fit with your site (border, shadow, font-size, ...).
	* Option to hide the author box if author description is empty.
	* Option to keep plugin's database information upon plugin uninstall.
	* [PREMIUM] Added the option to customize the color of all the author box elements.
	* [PREMIUM] Added three new author box layouts to choose from.
* Other:
	* [PREMIUM] Removed color schemes.

= 1.1.4 (2015-08-30) =

* Bugfixes:
	* Author link for registered users now links to the correct archive author page.
* Enhancements:
	* Backend list of guest authors now show two new columns: author photo and author e-mail address.

= 1.1.3 (2015-08-29) =

* Bugfixes:
	* Google+ profile address not showing in admin.

= 1.1.2 (2015-08-29) =

* Bugfixes:
	* Google+ icon not showing.

= 1.1.1 (2015-08-29) =

* Bugfixes:
	* Google+ profile address wasn't being saved on guest-author custom-post type.

= 1.1.0 (2015-08-29) =

* Enhancements:
	* User can configure to show or hide the authorship box from the edit-post page.
	* Added global setting to define the default value to the "display authorship box" option.
	* Use of Gravatar if it exists and no profile image is uploaded.

= 1.0.1 (2015-08-28) =

* Bugfixes:
	* Upsells JSON file emptied.

= 1.0.0 (2015-07-08) =

* Initial release.
